ServerEvents.recipes(event => {
  event.remove({ output: 'create:andesite_alloy' })
  event.remove({ output: 'create:empty_blaze_burner' })
  event.remove({ type: 'create:mixing', output: 'create:brass_ingot' })

  event.shaped('create:andesite_alloy', [
    'AZ ',
    'ZA '
  ], {
    A: 'minecraft:andesite',
    Z: 'thermal:tin_nugget'
  })
  event.shaped('create:empty_blaze_burner', [
    'BPB',
    'PNP',
    'BPB',
  ], {
    P: 'create:iron_sheet',
    N: 'minecraft:netherrack',
    B: 'alexscaves:tesla_bulb'
  })

  event.recipes.create.mixing(
    '2x create:brass_ingot',
    ['alexscaves:amber', 'alexscaves:scarlet_neodymium_ingot','alexscaves:azure_neodymium_ingot']
  )
  .heated()
  .id('kubejs:mixing/brass_from_ingots')
  })